unit UnJob041 ; { for angles of precession }
interface
  procedure ForJob041 ;
implementation
uses
  UnConTyp , { for constant MJD2000 epoch 51544.5 }
  UnForDat , { for FromDateToMJD  function }
  UnForTim , { for TransUTCtoTDT TransTDTtoTDB procedures }
  UnForPnm ; { for ClcPrecAngles procedure }
procedure ForJob041 ;
var
  nd,nm,ny  : Integer ; { day month year }
  kh,km     : Integer ; { hour minute }
  sec       : Extended ; { second }
  tmjd      : Extended ; { moment in modified julian day }
  tdt,dt    : Extended ; { terrestrial time and correction }
  tdb       : Extended ; { barycentric dynamic time }
  dzita     : Extended ; { angles }
  teta,zet  : Extended ; { of precession }
begin
  WriteLn;
  WriteLn('  Angles of precession');
  nd:=23;
  nm:=09;
  ny:=2003;
  kh:=10;
  km:=13;
  sec:=0.0;
  tmjd:=FromDateToMJD(nd,nm,ny,kh,km,sec); { UnForDat }
  TransUTCtoTDT(tmjd,tdt,dt);  { UnForTim with correction }
  TransTDTtoTDB(tdt,tdb);      { UnForTim }
  ClcPrecAngles(MJD2000,tdb,dzita,teta,zet); { UnForPnm angles in ArcSec }
  WriteLn('  InPut');
  WriteLn('  Moscow decret winter time');
  WriteLn('  ',nd:10,'      day');
  WriteLn('  ',nm:10,'      month');
  WriteLn('  ',ny:10,'      year');
  WriteLn('  ',kh:10,'      hour');
  WriteLn('  ',km:10,'      minute');
  WriteLn('  ',sec:14:3,'  second');
  WriteLn('  OutPut');
  WriteLn('  UTC moment in modified julian day');
  WriteLn('  ',tmjd:19:8,'  day with part in UTC scale');
  WriteLn('   TT moment in modified julian day');
  WriteLn('  ',tdt:19:8,'  day with part in  TT scale');
  WriteLn('  ',86400*dt:19:5,'  correction (TT-UTC) in second');
  WriteLn('  TDB moment in modified julian day');
  WriteLn('  ',tdb:19:8,'  day with part in TDB scale');
  WriteLn('  ',86400*(tdb-tdt):19:5,'  correction (TDB-TT) in second');
  WriteLn('  precession angles in second of arc');
  WriteLn('  ',dzita:19:5,'  dzita');
  WriteLn('  ',teta:19:5,'   teta');
  WriteLn('  ',zet:19:5,'    zet');
end;
end.