unit UnJob046 ; { matrix of nutation }
interface
  procedure ForJob046 ;
implementation
uses
  UnConTyp , { for RadSec and types}
  UnForNut , { for ClcNut ToGetEpsMean}
  UnForPnm ; { ClcNutMatr }
procedure ForJob046 ;
var
  t,e  : Extended ;
  x,y  : Extended ; { nutation parameter }
  p    : TMatr33 ;  { type from UnConTyp }
begin
  WriteLn;
  WriteLn('  Matrix of nutation');
  t:=55000.5; { moment in TDB in modified julian day }
  e:=ToGetEpsMean(t); { UnForNut  obliquity in radian }
  ClcNut(t,x,y); { UnForNut parameters in radian }
  ClcNutMatr(t,x,y,e,p); { UnForPnm }
  WriteLn('  InPut');
  WriteLn('  ',t:19:8,'  TDB moment in modified julian day');
  WriteLn('  OutPut');
  WriteLn('  nutation parameters in radian  and second of arc');
  WriteLn('  ',x:19:15,RadSec*x:19:5,'  d(psi)');
  WriteLn('  ',y:19:15,RadSec*y:19:5,'  d(epsilon)');
  WriteLn('  ',e:19:15,RadSec*e:19:5,'  mean obliquity');
  WriteLn('  matrix of nutation');
  WriteLn('   ','1':20,'2':20,'3':20);
  WriteLn('  1',p[1][1]:20:15,p[1][2]:20:15,p[1][3]:20:15);
  WriteLn('  2',p[2][1]:20:15,p[2][2]:20:15,p[2][3]:20:15);
  WriteLn('  3',p[3][1]:20:15,p[3][2]:20:15,p[3][3]:20:15);
end;
end.